ECHO(1)

NUME
echo - afișează o linie de text

SINOPSIS
echo [OPȚIUNE_SCURTĂ]... [ȘIR]...
echo OPȚIUNE_LUNGĂ

DESCRIERE

Imprimă ȘIR(urile) la ieșirea standard.

-n  nu adaugă caracterul de linie nouă la finalul ȘIRurilor

-e  activează interpretarea eludărilor de bară oblică inversă

-E  dezactivează interpretarea eludărilor de bară oblică inversă (implicit)

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Dacă este folosită opțiunea -e, următoarele secvențe sunt recunoscute:

\\  bară oblică inversă

\a  alertă (CLOPOȚEL)

\b  backspace (mută cursorul, un caracter înapoi, și-l înlocuiește cu caracterul menționat; de exp.: „«/bin/echo -e "Am doi lei"”)

\c  nu mai produce ieșire

\e  eludare

\f  form feed (avansează o linie, punând cursorul, în poziția ultimului caracter al ȘIRului)

\n  linie nouă

\r  retur de cărucior

\t  tabulator orizontal

\v  tabulator vertical

\0NNN
    octet cu valoare octală NNN (1 până la 3 cifre)

\xHH
    octet cu valoare hexazecimală HH (1 până la 2 cifre)

Shell-ul dvs. poate avea propria sa versiune de «echo», care de obicei înlocuiește versiunea descrisă aici. Consultați documentația shell-ului dvs. pentru detalii despre opțiunile pe care le acceptă.

Luați în considerare utilizarea comenzii printf(1) în schimb, deoarece aceasta evită problemele la afișarea șirurilor de tip opțiune.

AUTOR
Scris de Brian Fox și Chet Ramey.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
printf(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/echo>
sau local rulând comanda: «info '(coreutils) echo invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.